Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slaed1

    java.lang.Object
      org.netlib.lapack.Slaed1

    public class Slaed1

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAED1 computes the updated eigensystem of a diagonal
     *  matrix after modification by a rank-one symmetric matrix.  This
     *  routine is used only for the eigenproblem which requires all
     *  eigenvalues and eigenvectors of a tridiagonal matrix.  SLAED7 handles
     *  the case in which eigenvalues only or eigenvalues and eigenvectors
     *  of a full symmetric matrix (which was reduced to tridiagonal form)
     *  are desired.
     *
     *    T = Q(in) ( D(in) + RHO * Z*Z' ) Q'(in) = Q(out) * D(out) * Q'(out)
     *
     *     where Z = Q'u, u is a vector of length N with ones in the
     *     CUTPNT and CUTPNT + 1 th elements and zeros elsewhere.
     *
     *     The eigenvectors of the original matrix are stored in Q, and the
     *     eigenvalues are in D.  The algorithm consists of three stages:
     *
     *        The first stage consists of deflating the size of the problem
     *        when there are multiple eigenvalues or if there is a zero in
     *        the Z vector.  For each such occurence the dimension of the
     *        secular equation problem is reduced by one.  This stage is
     *        performed by the routine SLAED2.
     *
     *        The second stage consists of calculating the updated
     *        eigenvalues. This is done by finding the roots of the secular
     *        equation via the routine SLAED4 (as called by SLAED3).
     *        This routine also calculates the eigenvectors of the current
     *        problem.
     *
     *        The final stage consists of computing the updated eigenvectors

     *        directly using the updated eigenvalues.  The eigenvectors for
     *        the current problem are multiplied with the eigenvectors from
     *        the overall problem.
     *
     *  Arguments
     *  =========
     *
     *  N      (input) INTEGER
     *         The dimension of the symmetric tridiagonal matrix.  N >= 0.
     *
     *  D      (input/output) REAL array, dimension (N)
     *         On entry, the eigenvalues of the rank-1-perturbed matrix.
     *         On exit, the eigenvalues of the repaired matrix.
     *
     *  Q      (input/output) REAL array, dimension (LDQ,N)
     *         On entry, the eigenvectors of the rank-1-perturbed matrix.
     *         On exit, the eigenvectors of the repaired tridiagonal matrix.

     *
     *  LDQ    (input) INTEGER
     *         The leading dimension of the array Q.  LDQ >= max(1,N).
     *
     *  INDXQ  (input/output) INTEGER array, dimension (N)
     *         On entry, the permutation which separately sorts the two
     *         subproblems in D into ascending order.
     *         On exit, the permutation which will reintegrate the
     *         subproblems back into sorted order,
     *         i.e. D( INDXQ( I = 1, N ) ) will be in ascending order.
     *
     *  RHO    (input) REAL
     *         The subdiagonal entry used to create the rank-1 modification.

     *
     *  CUTPNT (input) INTEGER
     *         The location of the last eigenvalue in the leading sub-matrix.
     *         min(1,N) <= CUTPNT <= N/2.
     *
     *  WORK   (workspace) REAL array, dimension (4*N + N**2)
     *
     *  IWORK  (workspace) INTEGER array, dimension (4*N)
     *
     *  INFO   (output) INTEGER
     *          = 0:  successful exit.
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *          > 0:  if INFO = 1, an eigenvalue did not converge
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Jeff Rutter, Computer Science Division, University of California
     *     at Berkeley, USA
     *  Modified by Francoise Tisseur, University of Tennessee.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`Slaed1()`

Method Summary
`static void` | `slaed1(int n, float[] d, int _d_offset, float[] q, int _q_offset, int ldq, int[] indxq, int _indxq_offset, floatW rho, int cutpnt, float[] work, int _work_offset, int[] iwork, int _iwork_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slaed1

    public Slaed1()

Method Detail

### slaed1

    public static void slaed1(int n,
                              float[] d,
                              int _d_offset,
                              float[] q,
                              int _q_offset,
                              int ldq,
                              int[] indxq,
                              int _indxq_offset,
                              floatW rho,
                              int cutpnt,
                              float[] work,
                              int _work_offset,
                              int[] iwork,
                              int _iwork_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD